package com.test;

import android.app.Activity;
import android.hardware.display.DisplayManager;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.view.Display;
import android.view.MotionEvent;
import android.view.WindowManager;
import android.widget.TextView;

public class MainActivity extends Activity {
	private static final String TAG = "MainActivity";
	private DisplayManager mDisplayManager = null;
	private TextView mTextView = null;
	private MinorDisplay mMinorDisplay = null;
	private MotionEvent mMotionEvent = null;

	private Runnable mRunnable = new Runnable() {
		@Override
		public void run() {
			if (mMotionEvent != null) {
				mTextView.setText("X:" + mMotionEvent.getX() + " \nY:" + mMotionEvent.getY());
			}
		}
	};

	private Handler mHandler = new Handler() {
		public void handleMessage(android.os.Message msg) {
			runOnUiThread(mRunnable);
		};
	};

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		mTextView = (TextView) findViewById(R.id.tv_show_point);
	}

	@Override
	protected void onResume() {
		super.onResume();
		mDisplayManager = (DisplayManager) getSystemService(DISPLAY_SERVICE);
		Display[] displays = mDisplayManager.getDisplays();
		if (mMinorDisplay == null) {
			mMinorDisplay = new MinorDisplay(this, displays[displays.length - 1]);
			// mMinorDisplay.getWindow().setType(WindowManager.LayoutParams.TYPE_SYSTEM_ALERT);
			mMinorDisplay.show();
		}
	}

	@Override
	public boolean onTouchEvent(MotionEvent event) {
		mMotionEvent = event;
		mHandler.sendEmptyMessage(0);
		return super.onTouchEvent(event);
	}

	@Override
	protected void onStop() {
		super.onStop();
		if (mMinorDisplay != null) {
			mMinorDisplay.cancel();
			mMinorDisplay = null;
		}
	}

}
