package com.test;

import android.app.Presentation;
import android.content.Context;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.view.Display;
import android.view.MotionEvent;
import android.widget.TextView;

public class MinorDisplay extends Presentation {
	private static final String TAG = "MinorDisplay";

	private TextView mTextView = null;
	private MotionEvent mMotionEvent = null;

	private Handler mHandler = new Handler() {
		public void handleMessage(android.os.Message msg) {
			if (mMotionEvent != null) {
				mTextView.setText("X:" + mMotionEvent.getX() + " \nY:" + mMotionEvent.getY());
			}
		};
	};

	public MinorDisplay(Context context, Display display) {
		super(context, display);
	}

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		mTextView = (TextView) findViewById(R.id.tv_show_point);
	}

	@Override
	public boolean onTouchEvent(MotionEvent event) {
		mMotionEvent = event;
		mHandler.sendEmptyMessage(0);
		return super.onTouchEvent(event);
	}
}
